Name:             gossip
Version:          1.7
Release:          %mkrel 1
Summary:          SLF4j Gossip Provider
Group:            Development/Java
License:          ASL 2.0
URL:              http://github.com/jdillon/gossip

# git clone git://github.com/jdillon/gossip.git
# cd gossip/ && git checkout gossip-1.7
# git archive --format=tar --prefix=gossip-1.7/ gossip-1.7 | xz > gossip-1.7.tar.xz
Source0:          %{name}-%{version}.tar.xz
Patch0:           %{name}-%{version}-use-java5-modello.patch

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    maven
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-license-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-surefire-plugin
BuildRequires:    junit4
BuildRequires:    slf4j
BuildRequires:    maven-surefire-provider-junit4
BuildRequires:    animal-sniffer
BuildRequires:    modello
BuildRequires:    jansi
BuildRequires:    fusesource-pom

Requires:         java
Requires:         jpackage-utils
Requires:         slf4j
Requires(post):   jpackage-utils
Requires(postun): jpackage-utils

%description
Gossip is a plugin for SLF4j which has simple and flexible configuration.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q
%patch0 -p1

%build
mvn-rpmbuild -Dmaven.test.skip=true install javadoc:aggregate

%install
rm -fr %buildroot
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

for sub in bootstrap bootstrap-slf4j support core slf4j extra; do
  # JAR
  cp -p %{name}-${sub}/target/%{name}-${sub}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-${sub}.jar

  # POM
  install -pm 644 %{name}-${sub}/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-%{name}-${sub}.pom

  # DEPMAP
  %add_to_maven_depmap org.sonatype.gossip %{name}-${sub} %{version} JPP/%{name} %{name}-${sub}
done

# Parent POM
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-%{name}.pom
# Parent DEPMAP
%add_to_maven_depmap org.sonatype.gossip %{name} %{version} JPP/%{name} %{name}

# JAVADOC
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*
%doc README.md header.txt

%files javadoc
%{_javadocdir}/%{name}
%doc header.txt



%changelog
* Fri Aug 12 2011 dmorgan <dmorgan> 1.7-1.mga2
+ Revision: 132885
- Fix buildrequires
- Clean spec file

  + gil <gil>
    - imported package gossip


* Fri May 27 2011 Marek Goldmann <mgoldman@redhat.com> 1.7-1
- Initial packaging


